### File

`packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-rules.model.ts`

### Index

###### Properties
Public data Public fieldId Public Optional interpreted Public key Public level

### Constructor

`constructor(fieldId: UxFieldId, key: string, data: any, level: string, interpreted?: boolean)`
Parameters :
Name | Type | Optional
fieldId | `UxFieldId` | No
key | `string` | No
data | `any` | No
level | `string` | No
interpreted | `boolean` | Yes

### Properties

Public data
Type : `any`

Public fieldId
Type : `UxFieldId`

Public Optional interpreted
Type : `boolean`

Public key
Type : `string`

Public level
Type : `string`

# result-matching ""

# No results matching ""